NemoMath - Bug #1554
Use eigen pkg-config files as dependency in nemomath pkg-config
07/03/2013 04:46 PM - Anonymous

Status: New Start date: 07/03/2013
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: NemoMath 0.4

Description

We should use eigen pkg-config files as dependency in nemomath pkg-config instead of exporting the include path. We did that by
ourselves, because | thought, there was no eigen pkg-config files. Actually eigen provides pkg-config files, it is installed to
/usr/share/pkgconfig/.

Also backport to NemoMath 0.3.

History

#1 - 07/04/2013 09:45 AM - Anonymous
- Status changed from New to Feedback

| couldn’t find them on lucid, so maybe this is only true for recent ubuntu versions, which would introduce an ugly condition to pkg-config file

generation.

#2 - 07/08/2013 12:28 AM - J. Moringen

Do we still care about lucid?

#3 - 07/10/2013 03:19 PM - Anonymous
- Status changed from Feedback to New

- Assignee set to Anonymous

Yes, unfortunately we care for the Oncilla robot, which runs lucid.
